'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _rax = require('rax');

var _universalEnv = require('universal-env');

var _raxTouchable = require('rax-touchable');

var _raxTouchable2 = _interopRequireDefault(_raxTouchable);

var _raxText = require('rax-text');

var _raxText2 = _interopRequireDefault(_raxText);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var TimePicker = function (_Component) {
  _inherits(TimePicker, _Component);

  function TimePicker(props) {
    _classCallCheck(this, TimePicker);

    var _this = _possibleConstructorReturn(this, (TimePicker.__proto__ || Object.getPrototypeOf(TimePicker)).call(this, props));

    _this.handlePress = function () {
      if (_universalEnv.isWeex) {
        var _this$props = _this.props,
            onTimeChange = _this$props.onTimeChange,
            selectedValue = _this$props.selectedValue;

        var picker = __weex_require__('@weex-module/picker');

        picker.pickTime({
          value: selectedValue
        }, function (event) {
          if (event.result === 'success') {
            onTimeChange && onTimeChange(event.data);
          }
        });
      }
    };

    return _this;
  }

  _createClass(TimePicker, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          selectedValue = _props.selectedValue,
          onTimeChange = _props.onTimeChange,
          style = _props.style;


      var touchableStyle = _extends({}, styles.initial, style);
      var textStyle = {
        color: touchableStyle.color,
        fontSize: touchableStyle.fontSize,
        fontStyle: touchableStyle.fontStyle,
        fontWeight: touchableStyle.fontWeight,
        textAlign: touchableStyle.textAlign,
        textDecoration: touchableStyle.textDecoration,
        textOverflow: touchableStyle.textOverflow,
        lineHeight: touchableStyle.lineHeight
      };

      if (_universalEnv.isWeex) {
        return (0, _rax.createElement)(
          _raxTouchable2.default,
          _extends({}, this.props, { onPress: this.handlePress, style: touchableStyle }),
          (0, _rax.createElement)(
            _raxText2.default,
            { style: textStyle },
            selectedValue
          )
        );
      } else {
        return (0, _rax.createElement)('input', {
          type: 'time',
          value: selectedValue,
          onChange: function onChange(e) {
            onTimeChange && onTimeChange(e.target.value);
          },
          style: style });
      }
    }
  }]);

  return TimePicker;
}(_rax.Component);

TimePicker.propTypes = {};


var styles = {
  initial: {
    display: 'flex',
    justifyContent: 'center',
    flexDirection: 'row'
  }
};

exports.default = TimePicker;
module.exports = exports['default'];